Skip to main content
`Ctrl`+`K`

# PetscSectionGetBlockStarts

Returns a table indicating which points start new blocks

## Synopsis

    #include "petscsection.h"
    PetscErrorCode PetscSectionGetBlockStarts(PetscSection s, PetscBT *blockStarts)

Not Collective, No Fortran Support

## Input Parameter

- s - the `PetscSection`

## Output Parameter

- blockStarts - The `PetscBT` with a 1 for each point that begins a block

## Notes

The table is on [0, `pEnd` - `pStart`).

This information is used by `DMCreateMatrix()` to create a variable block size description which is set using `MatSetVariableBlockSizes()`.

## See Also

Low-level Vector Communication, `IS`, `PetscSection`, `PetscSectionSetBlockStarts()`, `PetscSectionCreate()`, `DMCreateMatrix()`, `MatSetVariableBlockSizes()`

## Level

intermediate

## Location

src/vec/is/section/interface/section.c

Index of all PetscSection routines
Table of Contents for all manual pages
Index of all manual pages